// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
export function isInputLiteralType(type) {
    return type.kind === "constant";
}
export function isInputUnionType(type) {
    return type.kind === "union";
}
export function isInputModelType(type) {
    return type.kind === "model";
}
export function isInputEnumType(type) {
    return type.kind === "enum";
}
export function isInputArrayType(type) {
    return type.kind === "array";
}
export function isInputDictionaryType(type) {
    return type.kind === "dict";
}
//# sourceMappingURL=input-type.js.map